---
title: "Searches Order Fulfilments by parameters"
url: "https://developer.retailexpress.com.au/apis/retail-express-api-21-v2/versions/d3750347-3c58-45e9-b3b1-b23a00e713ed/operations/get-orderfulfilments"
---

> Full API specification: https://developer.retailexpress.com.au/apis/retail-express-api-21-v2/versions/d3750347-3c58-45e9-b3b1-b23a00e713ed.md

# Searches Order Fulfilments by parameters

`GET` `/orderfulfilments`

Operation ID: `get-orderfulfilments`

Searches Order Fulfilments by parameters

## Query parameters

- `id` (string, optional) - Fulfilment Id or Collection of Fulfilment Ids (comma separated) Example: 1,2,3
- `order_id` (string, optional) - Order Id or Collection of Order Ids (comma separated) Example: 1,2,3
- `order_number` (string, optional) - Order Number or Collection of Order Numbers (comma separated) Example: 1,2,3
- `order_item_id` (string, optional) - Order Item Id or Collection of Order Item Ids (comma separated) Example: 1,2,3
- `fulfil_outlet` (string, optional) - Fulfilment Outlet or Collection of Fulfilment Outlets (comma separated) Example: 1,2,3
- `created_since` (string, date-time, optional) - Format - date-time (as date-time in RFC3339). Created since
- `order_by` (string, optional) - Order by. Available field name values: id, order_id, order_number, order_item_id, fulfil_outlet, created_on Available direction values: asc, desc. Example: order_id asc, order_number desc
- `page_number` (integer, int32, optional) - Format - int32.
- `page_size` (integer, int32, optional) - Format - int32.

## Header parameters

- `x-api-key` (string, required) - Api subscription key
- `Cache-Control` (string, optional)
- `Authorization` (string, required) - Bearer token for authorization (e.g., Bearer <token>)

## Responses

- `200` - Paging Response with Order Fulfilments data
- `400` - Bad request
- `401` - Unauthorized
- `403` - Forbidden
- `404` - Not Found

## OpenAPI definition

```yaml
openapi: 3.0.1
info:
  title: Retail Express API
  version: V2
servers:
  - url: https://api.retailexpress.com.au/v2
paths:
  /orderfulfilments:
    get:
      tags:
        - orderfulfilments
      summary: Searches Order Fulfilments by parameters
      description: Searches Order Fulfilments by parameters
      operationId: get-orderfulfilments
      parameters:
        - name: id
          in: query
          description: "Fulfilment Id or Collection of Fulfilment Ids (comma separated)\r

            Example: 1,2,3"
          schema:
            type: string
            description: "Fulfilment Id or Collection of Fulfilment Ids (comma separated)\r

              Example: 1,2,3"
            nullable: true
        - name: order_id
          in: query
          description: "Order Id or Collection of Order Ids (comma separated)\r

            Example: 1,2,3"
          schema:
            type: string
            description: "Order Id or Collection of Order Ids (comma separated)\r

              Example: 1,2,3"
            nullable: true
        - name: order_number
          in: query
          description: "Order Number or Collection of Order Numbers (comma separated)\r

            Example: 1,2,3"
          schema:
            type: string
            description: "Order Number or Collection of Order Numbers (comma separated)\r

              Example: 1,2,3"
            nullable: true
        - name: order_item_id
          in: query
          description: "Order Item Id or Collection of Order Item Ids (comma separated)\r

            Example: 1,2,3"
          schema:
            type: string
            description: "Order Item Id or Collection of Order Item Ids (comma separated)\r

              Example: 1,2,3"
            nullable: true
        - name: fulfil_outlet
          in: query
          description: "Fulfilment Outlet or Collection of Fulfilment Outlets (comma
            separated)\r

            Example: 1,2,3"
          schema:
            type: string
            description: "Fulfilment Outlet or Collection of Fulfilment Outlets (comma
              separated)\r

              Example: 1,2,3"
            nullable: true
        - name: created_since
          in: query
          description: Format - date-time (as date-time in RFC3339). Created since
          schema:
            type: string
            description: Created since
            format: date-time
            nullable: true
        - name: order_by
          in: query
          description: "Order by. \r

            \r

            Available field name values: id, order_id, order_number,
            order_item_id, fulfil_outlet, created_on\r

            \r

            Available direction values: asc, desc. \r

            \r

            Example: order_id asc, order_number desc"
          schema:
            type: string
            description: "Order by. \r

              \r

              Available field name values: id, order_id, order_number,
              order_item_id, fulfil_outlet, created_on\r

              \r

              Available direction values: asc, desc. \r

              \r

              Example: order_id asc, order_number desc"
            nullable: true
        - name: page_number
          in: query
          description: Format - int32.
          schema:
            maximum: 100000
            minimum: 1
            type: integer
            format: int32
        - name: page_size
          in: query
          description: Format - int32.
          schema:
            maximum: 2147483647
            minimum: 1
            type: integer
            format: int32
        - name: x-api-key
          in: header
          description: Api subscription key
          required: true
          schema:
            type: string
        - name: Cache-Control
          in: header
          required: false
          schema:
            type: string
            default: no-cache
        - name: Authorization
          in: header
          required: true
          description: Bearer token for authorization (e.g., Bearer <token>)
          schema:
            type: string
      responses:
        "200":
          description: Paging Response with Order Fulfilments data
          content:
            application/json:
              schema:
                $ref: "#/components/schemas/ExtendedFulfilment.PagingResponse"
              example:
                data:
                  - id: 0
                    order_item_id: 0
                    quantity_fulfiled: 0
                    fulfil_outlet:
                      id: 0
                      name: string
                      modified_on: string
                    created_on: string
                    order_id: 0
                    order_number: string
                page_number: 0
                page_size: 0
                total_records: 0
        "400":
          description: Bad request
          content:
            application/json:
              schema:
                $ref: "#/components/schemas/ProblemDetails"
              example:
                type: string
                title: string
                status: 0
                detail: string
                instance: string
        "401":
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: "#/components/schemas/ProblemDetails"
              example:
                type: string
                title: string
                status: 0
                detail: string
                instance: string
        "403":
          description: Forbidden
          content:
            application/json:
              schema:
                $ref: "#/components/schemas/ProblemDetails"
              example:
                type: string
                title: string
                status: 0
                detail: string
                instance: string
        "404":
          description: Not Found
          content:
            application/json:
              schema:
                $ref: "#/components/schemas/ProblemDetails"
              example:
                type: string
                title: string
                status: 0
                detail: string
                instance: string
security: []
components:
  schemas:
    ExtendedFulfilment.PagingResponse:
      title: ""
      type: object
      properties:
        data:
          type: array
          items:
            $ref: "#/components/schemas/ExtendedFulfilment"
          nullable: true
        page_number:
          type: integer
          format: int32
        page_size:
          type: integer
          format: int32
        total_records:
          type: integer
          format: int32
      additionalProperties: false
    ProblemDetails:
      title: ""
      type: object
      properties:
        type:
          type: string
          nullable: true
        title:
          type: string
          nullable: true
        status:
          type: integer
          format: int32
          nullable: true
        detail:
          type: string
          nullable: true
        instance:
          type: string
          nullable: true
      additionalProperties: {}
    ExtendedFulfilment:
      title: ""
      type: object
      properties:
        id:
          type: integer
          description: Fulfilment id
          format: int32
        order_item_id:
          type: integer
          description: Order Item Id
          format: int32
        quantity_fulfiled:
          type: integer
          description: Fulfiled quantity of products
          format: int32
        fulfil_outlet:
          $ref: "#/components/schemas/OrderFulfilmentOutlet"
        created_on:
          type: string
          description: Created On
          format: date-time
        order_id:
          type: integer
          description: Order Id .
          format: int32
          nullable: true
        order_number:
          type: string
          description: Order Number.
          nullable: true
      additionalProperties: false
      description: Fulfilment model
    OrderFulfilmentOutlet:
      title: ""
      type: object
      properties:
        id:
          type: integer
          description: Outlet id
          format: int32
          nullable: true
        name:
          maxLength: 255
          minLength: 0
          type: string
          description: Outlet name
          nullable: true
        modified_on:
          type: string
          description: Modified on
          format: date-time
      additionalProperties: false
      description: Order Fulfilment Outlet Model
```
